#
#  $Id: alpha_osf32.mk,v 1.2 1997/06/17 22:14:56 robla Exp $
#

CC=gcc

# Define INTERFACE to be ``gui'' if you have Tcl/Tk (Tk 4.1 or better)
INTERFACE = text

# Define AUDIO to be ``oss'', if you have Voxwave/TASD/USS/OSS audio
#  (Examples: Linux, FreeBSD, BSD/OS)
#  You must set the interface to GUI to play audio.
AUDIO = none

# Define which version of the RTSP draft this should be complient with
# Valid draft versions: draft01, draft02
DRAFT = draft02

CC=cc
#CFLAGS=-Werror -Wall -g -I/usr/local/include -I. -I../common
CFLAGS=-g -I/usr/local/include -I. -I../common
LFLAGS=-lm

ifeq ($(INTERFACE), gui)
	CFLAGS+= -DHAVE_TCL_TK
	LFLAGS+= -ltcl -ltk41 -lm -L/usr/X11R6/lib -lX11
endif

ifeq ($(AUDIO), oss)
	CFLAGS+= -DAUDIO
endif

ifeq ($(DRAFT), draft02)
	CFLAGS+= -DDRAFT02
endif

AR=ar
ARFLAGS=-r
RANLIB=ranlib

