import java.net.*;
import java.io.*;
import java.applet.*;
import sun.audio.*;

public class gsm_player extends Applet implements Runnable {
  static globals globs; 

  public void open_input(String location) {
    try {
      globs.source.url = new URL(location);
    }
    catch(MalformedURLException e) {
      System.out.println("Error creating URL object.");
      System.exit(-1);
    }
    try {
      globs.source.dp = new DataInputStream(globs.source.url.openStream());
    }
    catch(IOException e) {
      System.out.println("Error opening stream to url.");
      System.exit(-1);
    }
  } 
 
  public void init() {
    String location = getParameter("URL");
	System.out.println("URL for .gsm file is "+location);
    open_input(location); 
	System.out.println("Finished opening stream to URL");
  }

  public void start() {
    if(globs.grabframe == null) {
      globs.grabframe = new Thread(globs.decoder);
      globs.grabframe.start();
    }

    if(globs.player == null) {
      globs.player = new Thread(this);
      globs.player.start();
    }
  }

  public void stop() {
    if(globs.grabframe != null) {
      globs.grabframe.stop();
      globs.grabframe = null;
    }
    if(globs.player != null) {
      globs.player.stop();
      globs.player = null;
    }
  }

  public void run() {

// This is to play the 160 signed 16 bit signals
// that are available in globs.gsmdec.gsm_signal 

    int i;
    long tmp;
	int indicator;
    while(globs.grabframe != null && globs.player != null) {
	  while((globs.flag1 == 1) && (globs.flag2 == 1)) {
		  /*
		try {
		  globs.player.sleep(2);
		}
		catch(Exception e) {
		  System.out.println("Sleep interrupted.");
		  System.exit(-1);
		}	*/
	  }
	  System.out.println("start play");
	  
      for(i=0; i<160; i++) {
		if(globs.gsmdec.gsm_signal[i] < 0) 
          tmp = (long)globs.gsmdec.gsm_signal[i]+(long)32768;
        else tmp = (long)globs.gsmdec.gsm_signal[i];
		globs.gsmdec.pgsm_signal[i] = (byte)convert.S2U((int)tmp);
		      
      }
	  
      AudioData audioData = new AudioData(globs.gsmdec.pgsm_signal);
      AudioDataStream audioStream = new AudioDataStream(audioData);
      AudioPlayer.player.start(audioStream);
	  if(globs.flag1 == 0) 
		globs.flag1 = 1;
	  else
		globs.flag2 = 1;

	  System.out.println("Played 160 signals.\r\n");
	  
	}

  }
}
