#ifndef _MACHDEFS_H_
#define _MACHDEFS_H_

typedef unsigned short	u_int16;

#if defined(__alpha)
typedef unsigned int	u_int32;
#else
typedef unsigned long	u_int32;
#endif

#ifndef BYTE_ORDER

#define LITTLE_ENDIAN	1234
#define BIG_ENDIAN	4321

#if defined(sun) || defined(__BIG_ENDIAN) || defined(NET_ENDIAN)
#define BYTE_ORDER	BIG_ENDIAN
#else
#define BYTE_ORDER	LITTLE_ENDIAN
#endif

#endif /* BYTE_ORDER */

#endif
